## cascading.flow.stack
Class StackException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  cascading.CascadingException
                      cascading.flow.stack.StackException

All Implemented Interfaces:
  Serializable

    public class StackException

extends CascadingException

Class StackException is an Exception holder that wraps a fatal exception within the pipeline stack.

See Also:
  Serialized Form

Constructor Summary
`StackException()`
`StackException(String string)`
`StackException(String string, Throwable throwable)`
`StackException(Throwable throwable)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StackException

    public StackException()

### StackException

    public StackException(String string)

### StackException

    public StackException(String string,
                          Throwable throwable)

### StackException

    public StackException(Throwable throwable)

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.